{
    "name": "@aegis-techno/ngx-toolkit",
    "version": "17.0.0",
    "private": true,
    "license": "MIT",
    "scripts": {
        "ci:compodoc": "./tools/process.sh libs --command compodoc:lib && yarn compodoc",
        "ci:docker": "docker run -it --rm -v .:/work node:hydrogen-alpine sh",
        "ci:integration": "yarn nx run-many --targets=lint,test,build --configuration=production --nx-bail --output-style=static",
        "ci:publish": "./tools/publish.sh",
        "compodoc": "compodoc -c .compodocrc.json",
        "compodoc:lib": "./tools/runCompodoc.sh libs",
        "format": "yarn nx format",
        "format:all": "yarn format --all",
        "format:uncommitted": "yarn format --uncommitted=true",
        "prepare": "husky install"
    },
    "dependencies": {
        "@angular/animations": "17.3.5",
        "@angular/common": "17.3.5",
        "@angular/compiler": "17.3.5",
        "@angular/core": "17.3.5",
        "@angular/forms": "17.3.5",
        "@angular/platform-browser": "17.3.5",
        "@angular/platform-browser-dynamic": "17.3.5",
        "@angular/router": "17.3.5",
        "reflect-metadata": "^0.1.13",
        "rxjs": "~7.8.0",
        "tslib": "^2.3.0",
        "validator": "^13.9.0",
        "vest": "^4.6.5",
        "zone.js": "0.14.4"
    },
    "devDependencies": {
        "@angular-devkit/build-angular": "17.3.5",
        "@angular-devkit/core": "17.3.5",
        "@angular-devkit/schematics": "17.3.5",
        "@angular-eslint/eslint-plugin": "17.3.0",
        "@angular-eslint/eslint-plugin-template": "17.3.0",
        "@angular-eslint/template-parser": "17.3.0",
        "@angular/cli": "~17.3.0",
        "@angular/compiler-cli": "17.3.5",
        "@angular/language-service": "17.3.5",
        "@nrwl/angular": "18.3.3",
        "@nx/eslint": "18.3.3",
        "@nx/eslint-plugin": "18.3.3",
        "@nx/jest": "18.3.3",
        "@nx/js": "18.3.3",
        "@nx/workspace": "18.3.3",
        "@schematics/angular": "17.3.5",
        "@types/jest": "^29.4.1",
        "@types/node": "^18.16.9",
        "@types/validator": "13.7.13",
        "@typescript-eslint/eslint-plugin": "7.7.0",
        "@typescript-eslint/parser": "7.7.0",
        "autoprefixer": "^10.4.0",
        "eslint": "8.57.0",
        "eslint-config-prettier": "9.1.0",
        "husky": "~8.0.0",
        "jest": "^29.4.1",
        "jest-environment-jsdom": "^29.4.1",
        "jest-preset-angular": "14.0.3",
        "ng-packagr": "17.3.0",
        "nx": "18.3.3",
        "postcss": "^8.4.5",
        "postcss-import": "~14.1.0",
        "postcss-preset-env": "~7.5.0",
        "postcss-url": "~10.1.3",
        "prettier": "^2.6.2",
        "prettier-plugin-java": "^2.1.0",
        "prettier-plugin-organize-attributes": "^0.0.5",
        "prettier-plugin-packagejson": "^2.4.3",
        "prettier-plugin-tailwindcss": "^0.3.0",
        "ts-jest": "^29.1.2",
        "ts-node": "10.9.1",
        "typescript": "5.4.5",
        "validate-branch-name": "~1.3.0"
    }
}
